package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 下游验收单-签署确认历史货物信息表
 * </p>
 *
 * @author liutao
 * @since 2023-06-08
 */
@TableName("c_acceptance_sign_confirmation_goods_info")
public class AcceptanceSignConfirmationGoodsInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收单历史信息表id
     */
    @TableField("c_acceptance_sign_confirmation_id")
    private Long acceptanceSignConfirmationId;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;

    /**
     * 货物材质
     */
    @TableField("goods_material")
    private String goodsMaterial;

    /**
     * 型号
     */
    @TableField("goods_type")
    private String goodsType;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;

    /**
     * 单位
     */
    @TableField("goods_unit")
    private String goodsUnit;

    /**
     * 数量
     */
    @TableField("goods_quantity")
    private BigDecimal goodsQuantity;

    /**
     * 验收日期
     */
    @TableField("acceptance_date")
    private Date acceptanceDate;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    private BigDecimal salesPrice;

    public Long getAcceptanceSignConfirmationId() {
        return acceptanceSignConfirmationId;
    }

    public void setAcceptanceSignConfirmationId(Long acceptanceSignConfirmationId) {
        this.acceptanceSignConfirmationId = acceptanceSignConfirmationId;
    }
    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }
    public String getGoodsMaterial() {
        return goodsMaterial;
    }

    public void setGoodsMaterial(String goodsMaterial) {
        this.goodsMaterial = goodsMaterial;
    }
    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }
    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }
    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }
    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }
    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }
    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    @Override
    public String toString() {
        return "AcceptanceSignConfirmationGoodsInfo{" +
            "acceptanceSignConfirmationId=" + acceptanceSignConfirmationId +
            ", goodsName=" + goodsName +
            ", goodsMaterial=" + goodsMaterial +
            ", goodsType=" + goodsType +
            ", goodsFactory=" + goodsFactory +
            ", goodsUnit=" + goodsUnit +
            ", goodsQuantity=" + goodsQuantity +
            ", acceptanceDate=" + acceptanceDate +
            ", salesPrice=" + salesPrice +
        "}";
    }
}
